package com.ruoyi.ibs.dashboard.domain.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.ibs.dashboard.domain.dto.TabRankingDTO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 指标排名对象 tab_ranking
 * 
 * @author ruoyi
 * @date 2025-08-26
 */
public class TabRanking extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 指标id */
    @Excel(name = "指标id")
    private String tabId;

    /** 指标名 */
    @Excel(name = "指标名")
    private String tabName;

    /** 指标层级： branch/manager */
    @Excel(name = "指标层级： branch/manager")
    private String level;


    private String custType;
    /** 排名 */
    @Excel(name = "排名")
    private Long rankId;

    /** 机构/柜员号  （名+id) */
    @Excel(name = "机构/柜员号  ", readConverterExp = "机构/柜员号  （名+id)")
    private String belongId;

    /** 指标值 */
    @Excel(name = "指标值")
    private String tabValue;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataDt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTabId(String tabId) 
    {
        this.tabId = tabId;
    }

    public String getTabId() 
    {
        return tabId;
    }
    public void setTabName(String tabName) 
    {
        this.tabName = tabName;
    }

    public String getTabName() 
    {
        return tabName;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setRankId(Long rankId) 
    {
        this.rankId = rankId;
    }

    public Long getRankId() 
    {
        return rankId;
    }
    public void setBelongId(String belongId) 
    {
        this.belongId = belongId;
    }

    public String getBelongId() 
    {
        return belongId;
    }
    public void setTabValue(String tabValue) 
    {
        this.tabValue = tabValue;
    }

    public String getTabValue() 
    {
        return tabValue;
    }
    public void setDataDt(Date dataDt) 
    {
        this.dataDt = dataDt;
    }

    public Date getDataDt() 
    {
        return dataDt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tabId", getTabId())
            .append("tabName", getTabName())
            .append("level", getLevel())
            .append("rankId", getRankId())
            .append("belongId", getBelongId())
            .append("tabValue", getTabValue())
            .append("dataDt", getDataDt())
            .toString();
    }


    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }
}
